Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.application
Enum FacesMessages

    java.lang.Object
      java.lang.Enum<FacesMessages>
          org.richfaces.application.FacesMessages

All Implemented Interfaces:
  Serializable, Comparable<FacesMessages>

    public enum FacesMessages

extends Enum<FacesMessages>

Author:
  Nick Belaevski

Enum Constant Summary
`BEAN_VALIDATOR_MESSAGE`
`BIG_DECIMAL_CONVERTER_DECIMAL`
`BIG_DECIMAL_CONVERTER_DECIMAL_DETAIL`
`BIG_INTEGER_CONVERTER_BIGINTEGER`
`BIG_INTEGER_CONVERTER_BIGINTEGER_DETAIL`
`BOOLEAN_CONVERTER_BOOLEAN`
`BOOLEAN_CONVERTER_BOOLEAN_DETAIL`
`BYTE_CONVERTER_BYTE`
`BYTE_CONVERTER_BYTE_DETAIL`
`CHARACTER_CONVERTER_CHARACTER`
`CHARACTER_CONVERTER_CHARACTER_DETAIL`
`CONVERTER_STRING`
`DATE_TIME_CONVERTER_DATE`
`DATE_TIME_CONVERTER_DATE_DETAIL`
`DATE_TIME_CONVERTER_DATETIME`
`DATE_TIME_CONVERTER_DATETIME_DETAIL`
`DATE_TIME_CONVERTER_PATTERN_TYPE`
`DATE_TIME_CONVERTER_TIME`
`DATE_TIME_CONVERTER_TIME_DETAIL`
`DOUBLE_CONVERTER_DOUBLE`
`DOUBLE_CONVERTER_DOUBLE_DETAIL`
`DOUBLE_RANGE_VALIDATOR_MAXIMUM`
`DOUBLE_RANGE_VALIDATOR_MINIMUM`
`DOUBLE_RANGE_VALIDATOR_NOT_IN_RANGE`
`DOUBLE_RANGE_VALIDATOR_TYPE`
`ENUM_CONVERTER_ENUM`
`ENUM_CONVERTER_ENUM_DETAIL`
`ENUM_CONVERTER_ENUM_NO_CLASS`
`ENUM_CONVERTER_ENUM_NO_CLASS_DETAIL`
`FLOAT_CONVERTER_FLOAT`
`FLOAT_CONVERTER_FLOAT_DETAIL`
`INTEGER_CONVERTER_INTEGER`
`INTEGER_CONVERTER_INTEGER_DETAIL`
`LENGTH_VALIDATOR_MAXIMUM`
`LENGTH_VALIDATOR_MINIMUM`
`LONG_CONVERTER_LONG`
`LONG_CONVERTER_LONG_DETAIL`
`LONG_RANGE_VALIDATOR_MAXIMUM`
`LONG_RANGE_VALIDATOR_MINIMUM`
`LONG_RANGE_VALIDATOR_NOT_IN_RANGE`
`LONG_RANGE_VALIDATOR_TYPE`
`NUMBER_CONVERTER_CURRENCY`
`NUMBER_CONVERTER_CURRENCY_DETAIL`
`NUMBER_CONVERTER_NUMBER`
`NUMBER_CONVERTER_NUMBER_DETAIL`
`NUMBER_CONVERTER_PATTERN`
`NUMBER_CONVERTER_PATTERN_DETAIL`
`NUMBER_CONVERTER_PERCENT`
`NUMBER_CONVERTER_PERCENT_DETAIL`
`REGEX_VALIDATOR_MATCH_EXCEPTION`
`REGEX_VALIDATOR_MATCH_EXCEPTION_DETAIL`
`REGEX_VALIDATOR_NOT_MATCHED`
`REGEX_VALIDATOR_NOT_MATCHED_DETAIL`
`REGEX_VALIDATOR_PATTERN_NOT_SET`
`REGEX_VALIDATOR_PATTERN_NOT_SET_DETAIL`
`SHORT_CONVERTER_SHORT`
`SHORT_CONVERTER_SHORT_DETAIL`
`UIINPUT_CONVERSION`
`UIINPUT_REQUIRED`
`UIINPUT_UPDATE`
`UISELECTMANY_INVALID`
`UISELECTONE_INVALID`
`VALIDATOR_NOT_IN_RANGE`

Method Summary
`String` | `toString()`
`static FacesMessages` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FacesMessages[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UIINPUT_CONVERSION

    public static final FacesMessages UIINPUT_CONVERSION

### UIINPUT_REQUIRED

    public static final FacesMessages UIINPUT_REQUIRED

### UIINPUT_UPDATE

    public static final FacesMessages UIINPUT_UPDATE

### UISELECTONE_INVALID

    public static final FacesMessages UISELECTONE_INVALID

### UISELECTMANY_INVALID

    public static final FacesMessages UISELECTMANY_INVALID

### BIG_DECIMAL_CONVERTER_DECIMAL

    public static final FacesMessages BIG_DECIMAL_CONVERTER_DECIMAL

### BIG_DECIMAL_CONVERTER_DECIMAL_DETAIL

    public static final FacesMessages BIG_DECIMAL_CONVERTER_DECIMAL_DETAIL

### BIG_INTEGER_CONVERTER_BIGINTEGER

    public static final FacesMessages BIG_INTEGER_CONVERTER_BIGINTEGER

### BIG_INTEGER_CONVERTER_BIGINTEGER_DETAIL

    public static final FacesMessages BIG_INTEGER_CONVERTER_BIGINTEGER_DETAIL

### BOOLEAN_CONVERTER_BOOLEAN

    public static final FacesMessages BOOLEAN_CONVERTER_BOOLEAN

### BOOLEAN_CONVERTER_BOOLEAN_DETAIL

    public static final FacesMessages BOOLEAN_CONVERTER_BOOLEAN_DETAIL

### BYTE_CONVERTER_BYTE

    public static final FacesMessages BYTE_CONVERTER_BYTE

### BYTE_CONVERTER_BYTE_DETAIL

    public static final FacesMessages BYTE_CONVERTER_BYTE_DETAIL

### CHARACTER_CONVERTER_CHARACTER

    public static final FacesMessages CHARACTER_CONVERTER_CHARACTER

### CHARACTER_CONVERTER_CHARACTER_DETAIL

    public static final FacesMessages CHARACTER_CONVERTER_CHARACTER_DETAIL

### DATE_TIME_CONVERTER_DATE

    public static final FacesMessages DATE_TIME_CONVERTER_DATE

### DATE_TIME_CONVERTER_DATE_DETAIL

    public static final FacesMessages DATE_TIME_CONVERTER_DATE_DETAIL

### DATE_TIME_CONVERTER_TIME

    public static final FacesMessages DATE_TIME_CONVERTER_TIME

### DATE_TIME_CONVERTER_TIME_DETAIL

    public static final FacesMessages DATE_TIME_CONVERTER_TIME_DETAIL

### DATE_TIME_CONVERTER_DATETIME

    public static final FacesMessages DATE_TIME_CONVERTER_DATETIME

### DATE_TIME_CONVERTER_DATETIME_DETAIL

    public static final FacesMessages DATE_TIME_CONVERTER_DATETIME_DETAIL

### DATE_TIME_CONVERTER_PATTERN_TYPE

    public static final FacesMessages DATE_TIME_CONVERTER_PATTERN_TYPE

### DOUBLE_CONVERTER_DOUBLE

    public static final FacesMessages DOUBLE_CONVERTER_DOUBLE

### DOUBLE_CONVERTER_DOUBLE_DETAIL

    public static final FacesMessages DOUBLE_CONVERTER_DOUBLE_DETAIL

### ENUM_CONVERTER_ENUM

    public static final FacesMessages ENUM_CONVERTER_ENUM

### ENUM_CONVERTER_ENUM_DETAIL

    public static final FacesMessages ENUM_CONVERTER_ENUM_DETAIL

### ENUM_CONVERTER_ENUM_NO_CLASS

    public static final FacesMessages ENUM_CONVERTER_ENUM_NO_CLASS

### ENUM_CONVERTER_ENUM_NO_CLASS_DETAIL

    public static final FacesMessages ENUM_CONVERTER_ENUM_NO_CLASS_DETAIL

### FLOAT_CONVERTER_FLOAT

    public static final FacesMessages FLOAT_CONVERTER_FLOAT

### FLOAT_CONVERTER_FLOAT_DETAIL

    public static final FacesMessages FLOAT_CONVERTER_FLOAT_DETAIL

### INTEGER_CONVERTER_INTEGER

    public static final FacesMessages INTEGER_CONVERTER_INTEGER

### INTEGER_CONVERTER_INTEGER_DETAIL

    public static final FacesMessages INTEGER_CONVERTER_INTEGER_DETAIL

### LONG_CONVERTER_LONG

    public static final FacesMessages LONG_CONVERTER_LONG

### LONG_CONVERTER_LONG_DETAIL

    public static final FacesMessages LONG_CONVERTER_LONG_DETAIL

### NUMBER_CONVERTER_CURRENCY

    public static final FacesMessages NUMBER_CONVERTER_CURRENCY

### NUMBER_CONVERTER_CURRENCY_DETAIL

    public static final FacesMessages NUMBER_CONVERTER_CURRENCY_DETAIL

### NUMBER_CONVERTER_PERCENT

    public static final FacesMessages NUMBER_CONVERTER_PERCENT

### NUMBER_CONVERTER_PERCENT_DETAIL

    public static final FacesMessages NUMBER_CONVERTER_PERCENT_DETAIL

### NUMBER_CONVERTER_NUMBER

    public static final FacesMessages NUMBER_CONVERTER_NUMBER

### NUMBER_CONVERTER_NUMBER_DETAIL

    public static final FacesMessages NUMBER_CONVERTER_NUMBER_DETAIL

### NUMBER_CONVERTER_PATTERN

    public static final FacesMessages NUMBER_CONVERTER_PATTERN

### NUMBER_CONVERTER_PATTERN_DETAIL

    public static final FacesMessages NUMBER_CONVERTER_PATTERN_DETAIL

### SHORT_CONVERTER_SHORT

    public static final FacesMessages SHORT_CONVERTER_SHORT

### SHORT_CONVERTER_SHORT_DETAIL

    public static final FacesMessages SHORT_CONVERTER_SHORT_DETAIL

### CONVERTER_STRING

    public static final FacesMessages CONVERTER_STRING

### DOUBLE_RANGE_VALIDATOR_MAXIMUM

    public static final FacesMessages DOUBLE_RANGE_VALIDATOR_MAXIMUM

### DOUBLE_RANGE_VALIDATOR_MINIMUM

    public static final FacesMessages DOUBLE_RANGE_VALIDATOR_MINIMUM

### DOUBLE_RANGE_VALIDATOR_NOT_IN_RANGE

    public static final FacesMessages DOUBLE_RANGE_VALIDATOR_NOT_IN_RANGE

### DOUBLE_RANGE_VALIDATOR_TYPE

    public static final FacesMessages DOUBLE_RANGE_VALIDATOR_TYPE

### LENGTH_VALIDATOR_MAXIMUM

    public static final FacesMessages LENGTH_VALIDATOR_MAXIMUM

### LENGTH_VALIDATOR_MINIMUM

    public static final FacesMessages LENGTH_VALIDATOR_MINIMUM

### LONG_RANGE_VALIDATOR_MAXIMUM

    public static final FacesMessages LONG_RANGE_VALIDATOR_MAXIMUM

### LONG_RANGE_VALIDATOR_MINIMUM

    public static final FacesMessages LONG_RANGE_VALIDATOR_MINIMUM

### LONG_RANGE_VALIDATOR_NOT_IN_RANGE

    public static final FacesMessages LONG_RANGE_VALIDATOR_NOT_IN_RANGE

### LONG_RANGE_VALIDATOR_TYPE

    public static final FacesMessages LONG_RANGE_VALIDATOR_TYPE

### VALIDATOR_NOT_IN_RANGE

    public static final FacesMessages VALIDATOR_NOT_IN_RANGE

### REGEX_VALIDATOR_PATTERN_NOT_SET

    public static final FacesMessages REGEX_VALIDATOR_PATTERN_NOT_SET

### REGEX_VALIDATOR_PATTERN_NOT_SET_DETAIL

    public static final FacesMessages REGEX_VALIDATOR_PATTERN_NOT_SET_DETAIL

### REGEX_VALIDATOR_NOT_MATCHED

    public static final FacesMessages REGEX_VALIDATOR_NOT_MATCHED

### REGEX_VALIDATOR_NOT_MATCHED_DETAIL

    public static final FacesMessages REGEX_VALIDATOR_NOT_MATCHED_DETAIL

### REGEX_VALIDATOR_MATCH_EXCEPTION

    public static final FacesMessages REGEX_VALIDATOR_MATCH_EXCEPTION

### REGEX_VALIDATOR_MATCH_EXCEPTION_DETAIL

    public static final FacesMessages REGEX_VALIDATOR_MATCH_EXCEPTION_DETAIL

### BEAN_VALIDATOR_MESSAGE

    public static final FacesMessages BEAN_VALIDATOR_MESSAGE

Method Detail

### values

    public static FacesMessages[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FacesMessages c : FacesMessages.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FacesMessages valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<FacesMessages>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.